FROM drentech/base AS base

LABEL maintainer="Marian Sievers, drentech.de" description="Java image for all Dren-Tech projects"

ENV JDK_VERSION=11_28
RUN mkdir /usr/lib/jvm/ \    
  && curl -L -O https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11%2B28/OpenJDK11-jdk_x64_linux_openj9_${JDK_VERSION}.tar.gz \
  && tar xvf OpenJDK11-jdk_x64_linux_openj9_${JDK_VERSION}.tar.gz -C /usr/lib/jvm/ \
  && yum clean all \
  && rm OpenJDK11-jdk_x64_linux_openj9_${JDK_VERSION}.tar.gz \  
  && rm -rf /var/cache/yum
ENV JAVA_HOME /usr/lib/jvm/jdk-11+28
ENV PATH "$PATH":${JAVA_HOME}/bin:.

FROM base AS dev

RUN yum update -y \
    && yum -y install maven \
    && yum clean all